Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.editsupport
Class EMFFormsEditSupportImpl

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.editsupport.EMFFormsEditSupportImpl

All Implemented Interfaces:
  EMFFormsEditSupport

    public class EMFFormsEditSupportImpl

extends Object
implements EMFFormsEditSupport

EMF implementation of `EMFFormsEditSupport`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsEditSupportImpl()`

Method Summary
`boolean` | `canSetProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns whether the property can be set.
`Object` | `getImage(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject, Object element)` Returns the label image for the given element.
`String` | `getText(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject, Object element)` Returns the label text for the given element.
`boolean` | `isMultiLine(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns whether the property is multi line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsEditSupportImpl

    public EMFFormsEditSupportImpl()

Method Detail

### isMultiLine

    public boolean isMultiLine(VDomainModelReference domainModelReference,
                               org.eclipse.emf.ecore.EObject rootObject)

  Returns whether the property is multi line.

  Specified by:
    `isMultiLine` in interface `EMFFormsEditSupport`
  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
  Returns:
    true if the property is multi line, false otherwise
  See Also:
    `EMFFormsEditSupport.isMultiLine(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)`

### canSetProperty

    public boolean canSetProperty(VDomainModelReference domainModelReference,
                                  org.eclipse.emf.ecore.EObject rootObject)

  Returns whether the property can be set.

  Specified by:
    `canSetProperty` in interface `EMFFormsEditSupport`
  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
  Returns:
    true if the property can be set, false otherwise
  See Also:
    `EMFFormsEditSupport.canSetProperty(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)`

### getText

    public String getText(VDomainModelReference domainModelReference,
                          org.eclipse.emf.ecore.EObject rootObject,
                          Object element)

  Returns the label text for the given element.

  Specified by:
    `getText` in interface `EMFFormsEditSupport`
  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
    `element` - The element for which the label text should be retrieved
  Returns:
    The label text
  See Also:
    `EMFFormsEditSupport.getText(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject, java.lang.Object)`

### getImage

    public Object getImage(VDomainModelReference domainModelReference,
                           org.eclipse.emf.ecore.EObject rootObject,
                           Object element)

  Returns the label image for the given element.

  Specified by:
    `getImage` in interface `EMFFormsEditSupport`
  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
    `element` - The element for which the label image should be retrieved
  Returns:
    The label image
  See Also:
    `EMFFormsEditSupport.getImage(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.